Skip to content

Diagnostics

All operations require authentication.

3 operationsv1/ovhCloudConnect/{serviceName}
Agent setup

List diagnosticsProduction

GET
/1.0/ovhCloudConnect/{serviceName}/diagnostic

Returns the IDs of the diagnostics run on the service.

Path parameters

serviceName
required
stringuuid

Service name

Response

200integer[]successful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get diagnosticProduction

GET
/1.0/ovhCloudConnect/{serviceName}/diagnostic/{id}

Returns the diagnostic status and the equipment output (BGP state, routes or MACs).

Path parameters

id
required
integer

Id

serviceName
required
stringuuid

Service name

Response

200Diagnosticsuccessful operation
date
read-only
stringdate-time

Date of the diagnostic

description
read-only
string

Description of the diagnostic

function
read-only
FunctionEnum

Diagnostic function

ValuesdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutes
id
read-only
integer

Diagnostic id

result
read-only
DiagnosticResult[]

Diagnostic result

source
read-only
string

Source where the diagnostic was run

status
read-only
StatusEnum

Diagnostic status

Valuesdenieddoingdoneerrorpausetodo

Example uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/diagnostic/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "description": "string", "function": "diagAccessEdge", "id": 0, "result": [ { "aspath": "string", "cmd": "string", "localprefix": 0, "mac": "00:00:5e:00:53:01", "med": 0, "output": "string", "prefix": "192.0.2.0/24", "routermac": "string", "timestamp": "2024-01-01T12:00:00Z" } ], "source": "string", "status": "denied"}

Run diagnosticProduction

POST
/1.0/ovhCloudConnect/{serviceName}/diagnostic

Checks BGP peering, routes or MAC addresses on a configuration; runs per 24 h are capped.

Path parameters

serviceName
required
stringuuid

Service name

Request body (required)

dcConfigId
integer

ID of the Datacenter configuration

diagnosticName
required
FunctionEnum

Name of the diagnostic

ValuesdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutes
diagnosticType
TypeEnum

Type of the diagnostic

Valuesadvertised-routesdefaultroutes
edgeId
integer

ID of the service Edge

extraConfigId
integer

ID of the extra configuration

popConfigId
integer

ID of the Pop Configuration

Response

200Diagnosticsuccessful operation
date
read-only
stringdate-time

Date of the diagnostic

description
read-only
string

Description of the diagnostic

function
read-only
FunctionEnum

Diagnostic function

ValuesdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRoutes
id
read-only
integer

Diagnostic id

result
read-only
DiagnosticResult[]

Diagnostic result

source
read-only
string

Source where the diagnostic was run

status
read-only
StatusEnum

Diagnostic status

Valuesdenieddoingdoneerrorpausetodo

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/diagnostic \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "description": "string", "function": "diagAccessEdge", "id": 0, "result": [ { "aspath": "string", "cmd": "string", "localprefix": 0, "mac": "00:00:5e:00:53:01", "med": 0, "output": "string", "prefix": "192.0.2.0/24", "routermac": "string", "timestamp": "2024-01-01T12:00:00Z" } ], "source": "string", "status": "denied"}